//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include "frxClass.hpp"
#include <Data.DB.hpp>
#include <FireDAC.Comp.Client.hpp>
#include <FireDAC.Comp.DataSet.hpp>
#include <FireDAC.DApt.Intf.hpp>
#include <FireDAC.DatS.hpp>
#include <FireDAC.Phys.Intf.hpp>
#include <FireDAC.Stan.Error.hpp>
#include <FireDAC.Stan.Intf.hpp>
#include <FireDAC.Stan.Option.hpp>
#include <FireDAC.Stan.Param.hpp>
#include "frxDBSet.hpp"
#include "frxChart.hpp"
#include <Vcl.ExtCtrls.hpp>
#include <VCLTee.Chart.hpp>
#include <VclTee.TeeGDIPlus.hpp>
#include <VCLTee.TeEngine.hpp>
#include <VCLTee.TeeProcs.hpp>
#include <VCLTee.Series.hpp>
#include <VCLTee.DBChart.hpp>
#include <Vcl.DBGrids.hpp>
#include <Vcl.Grids.hpp>
//---------------------------------------------------------------------------
class TfMain : public TForm
{
__published:	// IDE-managed Components
	TfrxReport *frxReport1;
	TFDMemTable *FDMemTable;
	TButton *bReport;
	TfrxDBDataset *frxDBDataset;
	TButton *bChart;
	TChart *Chart1;
	TLineSeries *Series1;
	TLineSeries *Series2;
	TDBChart *DBChart1;
	TLineSeries *Series3;
	TDBGrid *DBGrid1;
	TDataSource *dsChartData;
	TButton *bConnect;
	TLineSeries *Series4;
	TfrxChartObject *frxChartObject1;
	void __fastcall bReportClick(TObject *Sender);
	void __fastcall bChartClick(TObject *Sender);
	void __fastcall bConnectClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TfMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfMain *fMain;
//---------------------------------------------------------------------------
#endif
